For the complete documentation index, see llms.txt. This page is also available as Markdown.

Diamond Assets

Get Diamond Assets

get
/v2/diamond-asset/
Query parameters
diamond_id__instringOptional

Filter diamond assets by a list of diamond IDs.

asset_type__instringOptional

Filter diamond assets by a list of asset types.

is_herobooleanOptional

Filter diamond assets by hero status.

diamond_stage__instringOptional

Filter diamond assets by a list of diamond stages.

diamond_stage__isnullbooleanOptional

Filter diamond assets by whether the stage is null or not.

gallery__instringOptional

Filter diamond assets by a list of galleries.

gallery__isnullbooleanOptional

Filter diamond assets by whether the gallery is null or not.

created_at__gtestring · date-timeOptional

Filter diamond assets created on or after this date.

created_at__ltstring · date-timeOptional

Filter diamond assets created before this date.

updated_at__gtestring · date-timeOptional

Filter diamond assets updated on or after this date.

updated_at__ltstring · date-timeOptional

Filter diamond assets updated before this date.

pageinteger · min: 1OptionalDefault: 1
sizeinteger · min: 1 · max: 1000OptionalDefault: 100
Responses
200

Successful Response

application/json
nextstring · nullableOptional

The URL for the next page.

pageinteger · min: 1 · nullableRequired

The number of the current page.

pagesinteger · nullableOptional

The total number of pages.

previousstring · nullableOptional

The URL of the previous page.

totalintegerRequired

The total number of results across all pages.

get/v2/diamond-asset/
GET /v2/diamond-asset/ HTTP/1.1
Host: api.<id>.tracr.network
Accept: */*
{
  "next": "text",
  "page": 1,
  "pages": 1,
  "previous": "text",
  "results": [
    {
      "asset_type": "image",
      "content_hash": "text",
      "created_at": "2026-01-01T00:00:00.000Z",
      "diamond_id": "e1mv3nn4n10kd1lw6mde6sums",
      "diamond_stage": "polished",
      "extension": "avif",
      "filename": "text",
      "gallery": "rough",
      "gallery_priority": 0,
      "id": "e1mv3nn4n10kd1lw6mde6sums",
      "image_type": "default",
      "is_hero": false,
      "label": "text",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "total": 1
}

Create Image

post
/v2/diamond-asset/image
Body
diamond_idstringRequired

The Tracr ID for the diamond to which this asset belongs.

Example: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
diamond_stagestring · enum · nullableOptional

Whether this asset is associated with the diamond when it was rough, or after it was polished. diamond_stage and gallery are completely decoupled. The user is free to choose any gallery, including future galleries that aren't yet shown, for which this diamond asset should appear, regardless of the value of diamond_stage. As an example, if a user uploads two scans, diamond_stage can be used to distinguish between a rough scan and a polished scan.

Possible values:
filestring · binaryRequired

The image to be uploaded.

gallerystring · enum · nullableOptional

The gallery in which this asset will appear on the diamond details page in the Tracr Portal. On the Diamond Experience diamonds in the rough gallery will appear onthe Provenance page, diamonds in the split and polished galleries willappear on the Craftsmanship page. If no gallery is specified, the asset will not be displayed, but it will still be transferred with the diamond.

Possible values:
gallery_priorityinteger · min: -99 · max: 99Optional

Determines the position of the asset in the specified gallery relative to the other assets in the gallery. Assets with a higher gallery priority will appear before assets with a lower gallery priority. Assets with an equal gallery priority will appear subject to the lexicographical order of their id.

Default: 0
image_typestring · enumOptional

Image type of image.

Default: defaultPossible values:
is_herobooleanOptional

Whether this asset will appear as the diamond's hero asset. Hero assets appear at the top of the diamond details within the Tracr portal and on the Your Diamond page of the Diamond Experience. Hero assets can also appear in the gallery if one is specified. The position of a hero asset within the gallery is subject to subject to the configured gallery priority.

Default: false
labelstring · max: 32 · nullableOptional
Responses
201

Successful Response

application/json
or
or
or
or
or
or
or
or
post/v2/diamond-asset/image
POST /v2/diamond-asset/image HTTP/1.1
Host: api.<id>.tracr.network
Content-Type: multipart/form-data
Accept: */*
Content-Length: 178

{
  "diamond_id": "e1mv3nn4n10kd1lw6mde6sums",
  "diamond_stage": "polished",
  "file": "binary",
  "gallery": "rough",
  "gallery_priority": 0,
  "image_type": "default",
  "is_hero": false,
  "label": "text"
}
{
  "asset_type": "image",
  "content_hash": "text",
  "created_at": "2026-01-01T00:00:00.000Z",
  "diamond_id": "e1mv3nn4n10kd1lw6mde6sums",
  "diamond_stage": "polished",
  "extension": "avif",
  "filename": "text",
  "gallery": "rough",
  "gallery_priority": 0,
  "id": "e1mv3nn4n10kd1lw6mde6sums",
  "image_type": "default",
  "is_hero": false,
  "label": "text",
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Create Scan

post
/v2/diamond-asset/scan
Body
diamond_idstringRequired

The Tracr ID for the diamond to which this asset belongs.

Example: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
diamond_stagestring · enum · nullableOptional

Whether this asset is associated with the diamond when it was rough, or after it was polished. diamond_stage and gallery are completely decoupled. The user is free to choose any gallery, including future galleries that aren't yet shown, for which this diamond asset should appear, regardless of the value of diamond_stage. As an example, if a user uploads two scans, diamond_stage can be used to distinguish between a rough scan and a polished scan.

Possible values:
filestring · binaryRequired

The scan to be uploaded.

gallerystring · enum · nullableOptional

The gallery in which this asset will appear on the diamond details page in the Tracr Portal. On the Diamond Experience diamonds in the rough gallery will appear onthe Provenance page, diamonds in the split and polished galleries willappear on the Craftsmanship page. If no gallery is specified, the asset will not be displayed, but it will still be transferred with the diamond.

Possible values:
gallery_priorityinteger · min: -99 · max: 99Optional

Determines the position of the asset in the specified gallery relative to the other assets in the gallery. Assets with a higher gallery priority will appear before assets with a lower gallery priority. Assets with an equal gallery priority will appear subject to the lexicographical order of their id.

Default: 0
is_herobooleanOptional

Whether this asset will appear as the diamond's hero asset. Hero assets appear at the top of the diamond details within the Tracr portal and on the Your Diamond page of the Diamond Experience. Hero assets can also appear in the gallery if one is specified. The position of a hero asset within the gallery is subject to subject to the configured gallery priority.

Default: false
labelstring · max: 32 · nullableOptional
scan_device_manufacturerstring · nullableOptional

The manufacturer of the scanner used to produce this scan.

scan_device_modelstring · nullableOptional

The model of the scanner used to produce this scan.

Responses
201

Successful Response

application/json
or
or
or
or
or
or
or
or
post/v2/diamond-asset/scan
POST /v2/diamond-asset/scan HTTP/1.1
Host: api.<id>.tracr.network
Content-Type: multipart/form-data
Accept: */*
Content-Length: 216

{
  "diamond_id": "e1mv3nn4n10kd1lw6mde6sums",
  "diamond_stage": "polished",
  "file": "binary",
  "gallery": "rough",
  "gallery_priority": 0,
  "is_hero": false,
  "label": "text",
  "scan_device_manufacturer": "text",
  "scan_device_model": "text"
}
{
  "asset_type": "image",
  "content_hash": "text",
  "created_at": "2026-01-01T00:00:00.000Z",
  "diamond_id": "e1mv3nn4n10kd1lw6mde6sums",
  "diamond_stage": "polished",
  "extension": "avif",
  "filename": "text",
  "gallery": "rough",
  "gallery_priority": 0,
  "id": "e1mv3nn4n10kd1lw6mde6sums",
  "image_type": "default",
  "is_hero": false,
  "label": "text",
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Create Scan Report

post
/v2/diamond-asset/scan-report
Body
diamond_idstringRequired

The Tracr ID for the diamond to which this asset belongs.

Example: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
diamond_stagestring · enum · nullableOptional

Whether this asset is associated with the diamond when it was rough, or after it was polished. diamond_stage and gallery are completely decoupled. The user is free to choose any gallery, including future galleries that aren't yet shown, for which this diamond asset should appear, regardless of the value of diamond_stage. As an example, if a user uploads two scans, diamond_stage can be used to distinguish between a rough scan and a polished scan.

Possible values:
filestring · binaryRequired

The scan report to be uploaded.

gallerystring · enum · nullableOptional

The gallery in which this asset will appear on the diamond details page in the Tracr Portal. On the Diamond Experience diamonds in the rough gallery will appear onthe Provenance page, diamonds in the split and polished galleries willappear on the Craftsmanship page. If no gallery is specified, the asset will not be displayed, but it will still be transferred with the diamond.

Possible values:
gallery_priorityinteger · min: -99 · max: 99Optional

Determines the position of the asset in the specified gallery relative to the other assets in the gallery. Assets with a higher gallery priority will appear before assets with a lower gallery priority. Assets with an equal gallery priority will appear subject to the lexicographical order of their id.

Default: 0
is_herobooleanOptional

Whether this asset will appear as the diamond's hero asset. Hero assets appear at the top of the diamond details within the Tracr portal and on the Your Diamond page of the Diamond Experience. Hero assets can also appear in the gallery if one is specified. The position of a hero asset within the gallery is subject to subject to the configured gallery priority.

Default: false
labelstring · max: 32 · nullableOptional
scan_device_manufacturerstring · nullableOptional

The manufacturer of the scanner used to produce this scan report.

scan_device_modelstring · nullableOptional

The model of the scanner used to produce this scan report.

scan_software_namestring · nullableOptional

The name of the software running on the scanner used to produce this scan report.

scan_software_versionstring · nullableOptional

The version of the software running on the scanner used to produce this scan report.

Responses
201

Successful Response

application/json
or
or
or
or
or
or
or
or
post/v2/diamond-asset/scan-report
POST /v2/diamond-asset/scan-report HTTP/1.1
Host: api.<id>.tracr.network
Content-Type: multipart/form-data
Accept: */*
Content-Length: 275

{
  "diamond_id": "e1mv3nn4n10kd1lw6mde6sums",
  "diamond_stage": "polished",
  "file": "binary",
  "gallery": "rough",
  "gallery_priority": 0,
  "is_hero": false,
  "label": "text",
  "scan_device_manufacturer": "text",
  "scan_device_model": "text",
  "scan_software_name": "text",
  "scan_software_version": "text"
}
{
  "asset_type": "image",
  "content_hash": "text",
  "created_at": "2026-01-01T00:00:00.000Z",
  "diamond_id": "e1mv3nn4n10kd1lw6mde6sums",
  "diamond_stage": "polished",
  "extension": "avif",
  "filename": "text",
  "gallery": "rough",
  "gallery_priority": 0,
  "id": "e1mv3nn4n10kd1lw6mde6sums",
  "image_type": "default",
  "is_hero": false,
  "label": "text",
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Create Video

post
/v2/diamond-asset/video
Body
diamond_idstringRequired

The Tracr ID for the diamond to which this asset belongs.

Example: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
diamond_stagestring · enum · nullableOptional

Whether this asset is associated with the diamond when it was rough, or after it was polished. diamond_stage and gallery are completely decoupled. The user is free to choose any gallery, including future galleries that aren't yet shown, for which this diamond asset should appear, regardless of the value of diamond_stage. As an example, if a user uploads two scans, diamond_stage can be used to distinguish between a rough scan and a polished scan.

Possible values:
filestring · binaryRequired

The video to be uploaded.

gallerystring · enum · nullableOptional

The gallery in which this asset will appear on the diamond details page in the Tracr Portal. On the Diamond Experience diamonds in the rough gallery will appear onthe Provenance page, diamonds in the split and polished galleries willappear on the Craftsmanship page. If no gallery is specified, the asset will not be displayed, but it will still be transferred with the diamond.

Possible values:
gallery_priorityinteger · min: -99 · max: 99Optional

Determines the position of the asset in the specified gallery relative to the other assets in the gallery. Assets with a higher gallery priority will appear before assets with a lower gallery priority. Assets with an equal gallery priority will appear subject to the lexicographical order of their id.

Default: 0
is_herobooleanOptional

Whether this asset will appear as the diamond's hero asset. Hero assets appear at the top of the diamond details within the Tracr portal and on the Your Diamond page of the Diamond Experience. Hero assets can also appear in the gallery if one is specified. The position of a hero asset within the gallery is subject to subject to the configured gallery priority.

Default: false
labelstring · max: 32 · nullableOptional
Responses
201

Successful Response

application/json
or
or
or
or
or
or
or
or
post/v2/diamond-asset/video
POST /v2/diamond-asset/video HTTP/1.1
Host: api.<id>.tracr.network
Content-Type: multipart/form-data
Accept: */*
Content-Length: 155

{
  "diamond_id": "e1mv3nn4n10kd1lw6mde6sums",
  "diamond_stage": "polished",
  "file": "binary",
  "gallery": "rough",
  "gallery_priority": 0,
  "is_hero": false,
  "label": "text"
}
{
  "asset_type": "image",
  "content_hash": "text",
  "created_at": "2026-01-01T00:00:00.000Z",
  "diamond_id": "e1mv3nn4n10kd1lw6mde6sums",
  "diamond_stage": "polished",
  "extension": "avif",
  "filename": "text",
  "gallery": "rough",
  "gallery_priority": 0,
  "id": "e1mv3nn4n10kd1lw6mde6sums",
  "image_type": "default",
  "is_hero": false,
  "label": "text",
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Get Diamond Asset

get
/v2/diamond-asset/{diamond_asset_id}

Retrieve a single diamond asset by its ID.

Path parameters
diamond_asset_idstringRequiredExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
Responses
200

Successful Response

application/json
or
or
or
or
or
or
or
or
get/v2/diamond-asset/{diamond_asset_id}
GET /v2/diamond-asset/{diamond_asset_id} HTTP/1.1
Host: api.<id>.tracr.network
Accept: */*
{
  "asset_type": "image",
  "content_hash": "text",
  "created_at": "2026-01-01T00:00:00.000Z",
  "diamond_id": "e1mv3nn4n10kd1lw6mde6sums",
  "diamond_stage": "polished",
  "extension": "avif",
  "filename": "text",
  "gallery": "rough",
  "gallery_priority": 0,
  "id": "e1mv3nn4n10kd1lw6mde6sums",
  "image_type": "default",
  "is_hero": false,
  "label": "text",
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Last updated